Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1724555 - UI can not handle a vast number of metrics
Summary: UI can not handle a vast number of metrics
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.0
Assignee: Andrew Pickering
QA Contact: Viacheslav
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-27 09:44 UTC by Junqi Zhao
Modified: 2019-10-11 14:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-02 04:46:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
timed out after 20000ms (275.36 KB, image/png)
2019-06-27 09:44 UTC, Junqi Zhao
no flags Details
The resulting dataset is too large to graph (274.48 KB, image/png)
2019-08-28 05:21 UTC, Junqi Zhao
no flags Details
firefox page shifts from black page to result page constantly (34.80 KB, image/png)
2019-08-28 05:21 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 2481 0 None closed Bug 1724555: Query Browser: Handle large datasets 2020-12-29 21:56:44 UTC
Github openshift console pull 2540 0 None closed Bug 1724555: Query Browser: Add pagination to results table 2020-12-29 21:56:10 UTC
Github openshift console pull 2570 0 None closed Bug 1724555: Query Browser: Reduce default results per page to 50 2020-12-29 21:56:10 UTC

Description Junqi Zhao 2019-06-27 09:44:40 UTC
Created attachment 1585114 [details]
timed out after 20000ms

Description of problem:
Login in cluster console as admin, click "Monitoring -> Query Browser".
run query that returns several hundred metrics
eg: cluster_quantile:apiserver_request_latencies:histogram_quantile > 0

The console page will be blocked and after meet such error
Call to /api/prometheus/api/v1/query_range?end=1561628598.729&start=1561626798.729&step=6&query=cluster_quantile%3Aapiserver_request_latencies%3Ahistogram_quantile+%3E+0&timeout=5s timed out after 20000ms.

total number is
count(cluster_quantile:apiserver_request_latencies:histogram_quantile > 0) = 792

Version-Release number of selected component (if applicable):
4.2.0-0.nightly-2019-06-25-222454
chrome: Version 75.0.3770.90 (Official Build) (64-bit)

How reproducible:
Always

Steps to Reproduce:
1. See the description
2.
3.

Actual results:
UI can not handle a vast number of metrics

Expected results:
UI could handle a vast number of metrics

Additional info:

Comment 3 Junqi Zhao 2019-08-28 05:21:01 UTC
Created attachment 1608819 [details]
The resulting dataset is too large to graph

Comment 4 Junqi Zhao 2019-08-28 05:21:50 UTC
Created attachment 1608820 [details]
firefox page shifts from black page to result page constantly


Note You need to log in before you can comment on or make changes to this bug.